# Search by Image Description By using the Search Route, you can utilize Bria's generative search capabilities, which don't require labels or keywords. The user can send any text query and receive relevant images that match the query. The Search Route returns the images, sorted by the match score, from highest match to lowest match. The images are returned in batches, and you can specify how many images to receive in one batch, and which batch to receive in each call. Search will only work on images that have been onboarded using the register endpoint. Note: To use this endpoint, please Contact Us. Endpoint: GET /search_similar_images ## Header parameters: - `api_token` (string, required) ## Query parameters: - `vhash` (string) the visual id of the image for which the user is looking for similar images. Example: "e01592ef1188df76" - `num_results_per_page` (integer) how many images you would like to receive in the current call. The default value is 50. The maximum value is 500. Example: 1 - `page` (integer) which batch of images you would like to receive in the current call. The default value is 1. For each query, we support 800 results, so if you set num_results_per_page=50, you will have 16 pages of results. Example: 1 - `gallery_id` (string) Bria will provide you with this parameter which represents your account's image gallery. You must include this parameter. Example: "425" - `url` (string) URL of an image, for which you would like to find similar images. When you want to search based on modified images, or images that have not been uploaded or registered to Bria, you can use this parameter. When this parameter is provided, the visual_id parameter can be None. The supported file types are jpg, jpeg and png, up to 12 mb. Example: "If you are using the vhash paramater, there is no need to use this parameter" ## Response 200 fields (application/json): - `results` (array) there are multiple objects in this array (based on the amount specified in num_results_per_page) and each object represents a single image. The images in the array are sorted by the similarity score, from the highest to the lowest. If the specified batch (=page) is empty, the results array will be empty. - `results.visual_id` (string) visual id of the image, documented in Bria. Example: "a169a6862f24de75" - `results.org_image_key` (string) It will be returned if the image was registered using an org_image_key. Example: "None" - `results.source_url` (string) It will be returned if the image was registered using a URL. Example: "None" ## Response 400 fields ## Response 404 fields ## Response 405 fields ## Response 429 fields ## Response 500 fields ## Response 506 fields